aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_global_tool.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/dotnet/install_dotnet_global_tool.sh')
-rw-r--r--test/dotnet/install_dotnet_global_tool.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_global_tool.sh b/test/dotnet/install_dotnet_global_tool.sh
new file mode 100644
index 0000000..948b650
--- /dev/null
+++ b/test/dotnet/install_dotnet_global_tool.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library bundled with the devcontainer CLI
+# See https://github.com/devcontainers/cli/blob/HEAD/docs/features/test.md#dev-container-features-test-lib
+# Provides the 'check' and 'reportResults' commands.
+source dev-container-features-test-lib
+
+# Feature-specific tests
+# The 'check' command comes from the dev-container-features-test-lib. Syntax is...
+# check <LABEL> <cmd> [args...]
+source dotnet_env.sh
+source dotnet_helpers.sh
+
+# From https://learn.microsoft.com/en-us/dotnet/core/tools/global-tools
+check "Install a .NET global tool" \
+dotnet tool install --global dotnetsay
+
+check "Run the tool" \
+dotnetsay "$(dotnet --info)"
+
+# Report results
+# If any of the checks above exited with a non-zero exit code, the test will fail.
+reportResults \ No newline at end of file